import type { ExtractPropTypes } from 'vue';
import type Modal from './modal.vue';
import type { ButtonProps } from 'll-plus/es/components';
export declare const modalType: readonly ["confirm", "operate"];
export declare const newModalProps: {
    readonly open: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly title: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "提示", boolean>;
    readonly confirmLoading: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly cancelButtonProps: {
        readonly type: import("vue").PropType<ButtonProps>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly okButtonProps: {
        readonly type: import("vue").PropType<ButtonProps>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly type: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "operate" | "confirm", unknown, "operate", boolean>;
    readonly wrapClassName: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly isShowFooterShadow: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly footerShadowPlacement: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "inner" | "outer", unknown, "inner", boolean>;
    readonly confirmText: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly cancelText: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "取消", boolean>;
    readonly showFooter: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly keyboard: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
};
export declare const newModalEmits: {
    /**
     * @description 点击取消时触发
     */
    readonly cancel: () => boolean;
    /**
     * @description 点击确认时触发
     */
    readonly ok: () => boolean;
    readonly 'update:open': () => boolean;
};
export type NewModalProps = ExtractPropTypes<typeof newModalProps>;
export type NewModalEmits = typeof newModalEmits;
export type ModalType = NewModalProps['type'];
export type NewModalInstance = InstanceType<typeof Modal>;
